Subject: Adapt Makefiles to Debugging/Profiling and split bytecode/native 

Description: Currently, the makefiles automatically generate a bytecode and a native version of our code at the same 

time. The only difference wrt. to compiler flags is that the bytecode version includes «asserts» and 

tracebacks whereas the machinecode ignores same:


<pre>


OCAML_B_FLAGS  ?= -annot -g


OCAML_N_LDFLAGS ?= -annot -noassert -unsafe -inline 100 


</pre> 





This includes certain problems wrt to debugging (with the native binary) and profiling (problems with 

compilations when using ocamlcp as compiler - no extra bug report submitted). Thus I propose to


* totally split bytecode and machinecode generation


* allow different modes for each, e.g., adding -g, -p, and -noassert flags on demand


* an explicit ocamlcp compilation for bytecode profiling

History

05/28/2010 07:24 pm - Alexander Heußner

- Assignee set to Grégoire Sutre

06/02/2010 02:28 pm - Alexander Heußner

I totally forgot the  @-annot@ flag in debugging (=development) mode for generating type annotations (accessible for you favorite editor)

06/03/2010 09:15 am - Alexander Heußner

one could take inspiration from Ocaml-Make see details in http://hg.ocaml.info/release/ocaml-make/raw-file/release-6.29.3/README.txt (viz especially 

profiling and annotations)

06/05/2010 03:58 pm - Alexander Heußner

split underlying real built problem into bug report #17 (problems with packageing when building purely bytecode version)

07/02/2010 04:54 pm - Grégoire Sutre

- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed by switch to ocamlbuild.  However, we still can't do byte-code profiling as ocamlbuild does not permit it.  But native-code profiling should be 

sufficient for now.


04/08/2011 01:26 pm - Grégoire Sutre

- Target version set to 1.0
